#include "DAInteg.h"

#include <clientapi.h>
#include "DAFile.h"
#include "DAFileDict.h"

DAInteg::DAInteg( DAInteg* stack )
:stack_next( stack )
{
	filePath = new StrBuf;
	file = 0x0;
	srev = erev = 0;
}

DAInteg::~DAInteg(void)
{
	delete filePath;
}

void DAInteg::Init( How h, const StrPtr* f, int s, int e )
{
	how = h;
	*filePath = *f;
	srev = s;
	erev = e;
}

const StrPtr& DAInteg::getFilePath()
{
	return *filePath;
}

void DAInteg::FindPointer( DAFileDict* dict )
{
	file = dict->Get( *filePath );
}
