class DAFile;
class DAInteg;
class DATooth;

struct DAFileStack;

class DAZipper
{
public:
	DAZipper( DAFile* f, int r );
	~DAZipper(void);

	void Zip();

private:
	DAFile* file;
	int rev;

	DAInteg* copy; //there can be only one
	void ZipCopy();

	DAFileStack* sources;
	DATooth* left;
	DATooth* right;

	void buildLeftZipper( DAFile* source );
	void buildRightZipper();

	void eliminateAll();
	void eliminateUniques();

	void matchByContext();
	void matchByDistance();
};
