class ClientApi;
class ClientUser;
class DAFileDict;
class DAFile;
class DATextTable;
class StrBuf;
class StrPtr;

class DeepAnnotate
{
public:
	DeepAnnotate( const char* cmd = "deepannotate" );
	~DeepAnnotate(void);

	void Run( ClientApi* c, ClientUser* ui, int argc, char** argv );

private:
	void SendOutput( ClientUser* ui );

	DAFile* LoadFile( const StrPtr& path, ClientUser* ui = 0x0 );
	void LoadAncestors( DAFile* file );

	void Zip( DAFile* file, int rev );

	ClientApi*  client;
	DAFileDict* fileDict;
	DATextTable* textTable;

	DAFile* startFile;

	StrBuf* cmdName;
	bool tagged;
	bool allrevs;
	bool quiet;
};
