
// QTreeJobBar: a rectangle containing job fixes. 

class QTreeJobBar : public QCanvasRectangle  
{
public:
	QTreeJobBar( QCanvas* canvas, 
				 int width, int y, 
				 ChangeSorter* changes, 
				 ClientApi* client, 
				 Error* e, 
				 bool trunc );
	virtual ~QTreeJobBar();

	// Add a job to this bar. 
	void AddJob( StrBuf& jobname, int mypos, StrBuf& truename );

	// Update the color.
	void UpdateBrush();

private:
	QTreeJobText* head;
	QTreeJobText* tail;
	QCanvasLine* bline;
	int currpos;
	int currdepth;
	int jobdepth;
};
